Subject: bug#56535: 28.1; `no' and `no-ding' values for isearch-wrap-pause option (since Emacs 28.1) not working as documented

From: Arun V <[email-masked]>
Date: Wed, 13 Jul 2022 23:23:00 +0530

For more clarity, here's an example.

Assume it's a plain vanilla emacs install with all options set to
their default values, and it has in it a buffer with the following
content (of just 3 lines).

Line one of buffer
Line two of buffer
Line three of buffer

If the point is at the beginning of the second line, and we issue a
C-r and start typing the following characters "L", "i", "n", "e", " ",
the point would be moved to the first line. If we continue to type
"t", the minibuffer will display "Failing I-search backward" and the
point will still remain on the first line. If we press C-r again, the
minibuffer will display "Wrapped I-search backward" and move the point
to the third line.

This is the default behaviour (with isearch-wrap-pause set to t). I
can see the documented behaviour when I set the value to nil i.e. no
wrap around.

But when I set the value to `no' or `no-ding', I was expecting the
point to automatically move to the third line immediately after typing
"t" as mentioned in the above use case. Atleast, this is what I could
understand from the documentation. Please correct me if I'm wrong.

On Wed, 13 Jul 2022 at 22:52, Arun V <[email-masked]> wrote:
>
> Typing C-s over and over does wrap around at the end of the buffer.
> But that shouldn't be the behaviour when isearch-wrap-pause is set to
> `no' or `no-ding', right?
>
> The following is an excerpt from the documentation I'm referring to
> [https://www.gnu.org/software/emacs/manual/html_node/emacs/Repeat-Isearch.html]
>
> "You can control what happens when there are no more matches by
> customizing the isearch-wrap-pause user option. If it is t (the
> default), signal an error. (Repeating the search will wrap around.) If
> no, issue a ding and wrap immediately after reaching the last match.
> If no-ding, wrap immediately, but don’t ding. Finally, if nil, never
> wrap, but just stop at the last match."
>
> Please let me know if I'm missing anything here.
>
>
> On Wed, 13 Jul 2022 at 22:29, Eli Zaretskii <[email-masked]> wrote:
> >
> > [Please use Reply All to keep the bug tracker on the CC list.]
> >
> > > From: Arun V <[email-masked]>
> > > Date: Wed, 13 Jul 2022 21:32:08 +0530
> > >
> > > Hi Eli,
> > >
> > > Shall I share screenshots?
> > > I'm able to reproduce this in plain vanilla emacs in Windows and Linux.
> >
> > There's no need to show a screenshot, I believe you.  It's just that I
> > cannot reproduce the problem: typing C-s over and over wraps around at
> > the end of the buffer and goes to the beginning.  So I wonder what is
> > different on your system that makes this not work.
>
>
>
> --
> --
> Thanks and regards,
> Arunlal Venugopal

-- 
--
Thanks and regards,
Arunlal Venugopal